Recognition

Plate Image Recognition

Extract a license plate number from an image of a vehicle. Send a JSON body containing an `image_url` field with a URL to the image.


Checking account...
POST
/platerecognition

Extract a license plate number from an image of a vehicle. Send a JSON body containing an image_url field with a URL to the image.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.carsxe.com/platerecognition?key=CARSXE_API_KEY" \  -H "Content-Type: application/json" \  -d '{"image_url":"https://example.com/car-photo.jpg"}'
{
  "success": true,
  "message": "",
  "results": [
    {
      "box": {
        "xmin": 2045,
        "ymin": 1400,
        "xmax": 2732
      },
      "plate": "9djc652",
      "region": {
        "code": "us-ca",
        "score": 0.849
      }
    }
  ],
  "processing_time": 117.822
}
{
  "success": false,
  "message": "Missing upload URL"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "No plates detected in image"
}
{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "Could not get information at this time"
}